---
schema_version: "1"
id: df72c656d6bce0202c1178ba34d29cbcae1d11bffcb58130a7e64d3d390dd5c9
title: Create Versions of Products
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-create-versions-of-products.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-create-versions-of-products.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 134fbc9545f1d8bcdf9e3d3b982cd4619c85cb78b5216fc23013835c4cb3cba1
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Create Versions of Products

Create versions of products in Vlocity Product Console by specifying the ID of the product and the version label in the request body.

```nolang
POST /v2/epc/products/{product-ID}/versions
```

## Remote Method

```nolang
createVersionProduct2
```

## REST Handler

```nolang
APIProductVersionRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).


## Resource Information

| Response Format | JSON                                                                   |
| --------------- | ---------------------------------------------------------------------- |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/products/{product-ID}/versions` |

## Example Request

```nolang
POST /v2/epc/products/01t3h00000214uLAAQ/versions

{
  "epcRequest": {
    "entity": {
        "Id" : "01t3h00000214uLAAQ",
         "vlocity_cmt__VersionLabel__c": "Version-2"
    }
  }
}

```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "Product2",
                        "url": "/services/data/v52.0/sobjects/Product2/01t3h000001h1v2AAA"
                    },
                    "CanUseQuantitySchedule": false,
                    "CanUseRevenueSchedule": false,
                    "CurrencyIsoCode": "USD",
                    "Description": "Product created by Ashish to test Update",
                    "IsActive": true,
                    "IsArchived": false,
                    "IsDeleted": false,
                    "Name": "Product-Ashish",
                    "ProductCode": "Product-Ashish",
                    "RecordTypeId": "0123h000000slEnAAI",
                    "SystemModstamp": "2021-09-14T07:39:48.000+0000",
                    "vlocity_cmt__EndDate__c": "2026-01-31",
                    "vlocity_cmt__EndOfLifeDate__c": "2026-01-30T18:30:00.000+0000",
                    "vlocity_cmt__GlobalGroupKey__c": "a4096cc5-8bbb-cfd5-7b93-869a7c2b4caf",
                    "vlocity_cmt__GlobalKey__c": null,
                    "vlocity_cmt__IsConfigurable__c": false,
                    "vlocity_cmt__IsCustomerSubscription__c": false,
                    "vlocity_cmt__IsLocationDependent__c": false,
                    "vlocity_cmt__IsNotAssetizable__c": false,
                    "vlocity_cmt__IsOrderable__c": true,
                    "vlocity_cmt__JeopardySafetyIntervalUnit__c": "Seconds",
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__Scope__c": "Order Item",
                    "vlocity_cmt__SellingEndDate__c": "2026-01-30T18:30:00.000+0000",
                    "vlocity_cmt__SpecificationSubType__c": "Bundle",
                    "vlocity_cmt__SpecificationType__c": "Offer",
                    "vlocity_cmt__Status__c": "Draft",
                    "vlocity_cmt__SubType__c": "None",
                    "vlocity_cmt__TrackAsAgreement__c": false,
                    "vlocity_cmt__Type__c": "None",
                    "vlocity_cmt__VersionLabel__c": "Version-2",
                    "vlocity_cmt__VersionStartDateTime__c": null,
                    "vlocity_cmt__VersionEndDateTime__c": null,
                    "Id": "01t3h00000214uLAAQ"
                }
            }
        ],
        "overallResult": "success"
    }
}
```
